GET api/ItemMaster/GetItemCategoryName

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Collection of ItemCategoryModel
NameDescriptionTypeAdditional information
ItemCategoryID

integer

None.

ItemCategoryName

string

Required

String length: inclusive between 0 and 50

IsDelete

boolean

None.

IsStatus

boolean

None.

CreatedOn

date

None.

CreatedBy

integer

None.

UpdatedOn

date

None.

UpdatedBy

integer

None.

DairyPlantID

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "itemCategoryID": 1,
    "itemCategoryName": "sample string 2",
    "isDelete": true,
    "isStatus": true,
    "createdOn": "2026-04-13T20:18:44.5845215+05:30",
    "createdBy": 6,
    "updatedOn": "2026-04-13T20:18:44.5845215+05:30",
    "updatedBy": 8,
    "dairyPlantID": 9
  },
  {
    "itemCategoryID": 1,
    "itemCategoryName": "sample string 2",
    "isDelete": true,
    "isStatus": true,
    "createdOn": "2026-04-13T20:18:44.5845215+05:30",
    "createdBy": 6,
    "updatedOn": "2026-04-13T20:18:44.5845215+05:30",
    "updatedBy": 8,
    "dairyPlantID": 9
  }
]

application/xml, text/xml

Sample:
<ArrayOfItemCategoryModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <ItemCategoryModel>
    <CreatedBy>6</CreatedBy>
    <CreatedOn>2026-04-13T20:18:44.5845215+05:30</CreatedOn>
    <DairyPlantID>9</DairyPlantID>
    <IsDelete>true</IsDelete>
    <IsStatus>true</IsStatus>
    <ItemCategoryID>1</ItemCategoryID>
    <ItemCategoryName>sample string 2</ItemCategoryName>
    <UpdatedBy>8</UpdatedBy>
    <UpdatedOn>2026-04-13T20:18:44.5845215+05:30</UpdatedOn>
  </ItemCategoryModel>
  <ItemCategoryModel>
    <CreatedBy>6</CreatedBy>
    <CreatedOn>2026-04-13T20:18:44.5845215+05:30</CreatedOn>
    <DairyPlantID>9</DairyPlantID>
    <IsDelete>true</IsDelete>
    <IsStatus>true</IsStatus>
    <ItemCategoryID>1</ItemCategoryID>
    <ItemCategoryName>sample string 2</ItemCategoryName>
    <UpdatedBy>8</UpdatedBy>
    <UpdatedOn>2026-04-13T20:18:44.5845215+05:30</UpdatedOn>
  </ItemCategoryModel>
</ArrayOfItemCategoryModel>